Bug 228503 - Review Request: hunspell-zu - Zulu hunspell dictionaries
Summary: Review Request: hunspell-zu - Zulu hunspell dictionaries
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 12:30 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 14:58:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 12:30:00 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-zu.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-zu-0.20060120-1.src.rpm
Description: Zulu hunspell dictionaries


Similar to 227811

Comment 1 Caolan McNamara 2007-02-13 12:31:16 UTC
last one, phew!

Comment 2 manuel wolfshant 2007-02-14 12:21:51 UTC
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
b259f261b15fbdab9c157fd94aa60b0abfc94597  zu_ZA.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license LGPL stated in the tag is the same as upstream says and is
included in the package
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Comment 3 Caolan McNamara 2007-02-15 14:58:54 UTC
 27647 (hunspell-zu): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.